Aggiornamento da 2.4.10 a 2.4.19

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Rispondi
angelo
Messaggi: 31
Iscritto il: 18 gen 2016 17:58

Aggiornamento da 2.4.10 a 2.4.19

Messaggio da angelo »

Buongiorno,
ho eseguito aggiornamento dalla 2.4.10 alla 2.4.19 che sembra essere andato a buon fine. Quando però per esempio entro in modifica di una fattura di vendita, in testa compaiono due messaggi con fondo rosso con i seguenti testi:
1. Si è verificato un'errore [uid: 3771c9f]. Se il problema persiste siete pregati di chiedere assistenza tramite il forum apposito (https://forum.openstamanager.com/).
Uncaught Exception Illuminate\Database\QueryException: "SQLSTATE[42S22]: Column not found: 1054 Unknown column 'updated_at' in 'field list' (SQL: update `zz_cache` set `content` = [], `expire_at` = 2020-12-12 11:53:38, `updated_at` = 2020-12-11 11:53:38 where `id` = 1)" at /web/htdocs/www.nomedominio.it/home/osm/monica/vend ... ection.php line 647

2. Si è verificato un'errore [uid: 3771c9f]. Se il problema persiste siete pregati di chiedere assistenza tramite il forum apposito (https://forum.openstamanager.com/).
SQLSTATE[42S22]: Column not found: 1054 Unknown column 'updated_at' in 'field list' (SQL: update `zz_cache` set `content` = [], `expire_at` = 2020-12-12 11:53:38, `updated_at` = 2020-12-11 11:53:38 where `id` = 1)


Il problema si presenta anche all'apertura di altre procedure.

Come posso intervenire?

Grazie

angelo
Messaggi: 31
Iscritto il: 18 gen 2016 17:58

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da angelo »

Da un'analisi più accurata l'errore viene sollevato ogni qualvolta il sistema tenta di scrivere o aggiornare una tabella. In pratica sembra che il campo updated_at non è presente nelle tabelle. Effettivamente aprendo le strutture delle tabelle il campo menzionato non esiste.

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da dasc3er »

Ciao, trovi una soluzione al problema nella seconda parte della seguente risposta: viewtopic.php?f=2&t=95218&p=103660&hili ... 60#p103660

angelo
Messaggi: 31
Iscritto il: 18 gen 2016 17:58

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da angelo »

La query di aggiunta del campo nella tabella zz_cache l'avevo già fatta ma il problema è che l'errore si presenta anche sulla tabella co_documenti.
Me lo devo aspettare su altre tabelle? E nel caso devo intervenire semplicemente aggiungendo il campo?

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da dasc3er »

Se il problema si verifica in altre tabelle, aggiungi anche lì le due colonne in questione.
Il problema sembra causato da un tentativo di gestione di server più vecchi, che non hanno solitamente MySQL aggiornato: le colonne si dovrebbero creare in automatico a seguito di un aggiornamento, ma in questo caso sembra non funzioni la procedura automatica.

Che versione di MySQL stai utilizzando?

angelo
Messaggi: 31
Iscritto il: 18 gen 2016 17:58

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da angelo »

MySql 5.5.62
Quale versione minima è consigliata per evitare il problema?

Avatar utente
dasc3er
Messaggi: 1168
Iscritto il: 11 lug 2016 17:41

Re: Aggiornamento da 2.4.10 a 2.4.19

Messaggio da dasc3er »

La versione 5.7.
La versione minima richiesta dal gestionale è la 5.6.5... :shock:

Rispondi